import Vue from 'vue'
import Router from 'vue-router'
import Home from './views/Home.vue'

Vue.use(Router)

export default new Router({
  // mode: 'history',
  routes: [
    {
      path: '/',
      name: 'home',
      component: () => import('@/components/Layout'),
      children: [
        {
          path: '',
          name: 'home',
          component: () => import('@/views/Home')
        },
        {
          path: '/home',
          name: 'home2',
          component: () => import('@/views/Home')
        },
        //项目列表
        {
          path: 'projectlist',
          name: 'projectlist',
          component: () => import('@/views/ProjectList')
        },
        // 环境列表
        {
          path: 'envlist',
          name: 'envlist',
          component: () => import('@/views/EnvList')
        },
        // 配置列表
        {
          path: 'configList',
          name: 'configList',
          component: () => import('@/views/ConfigList')
        },
        // 构建日志列表
        {
          path: "buildLogList",
          name: "buildLogList",
          component: () => import("@/views/BuildLogList")
        },
        // 源数据
        {
          path: "metaDataList",
          name: "metaDataList",
          component: () => import("@/views/MetaDataList")
        }
      ]
    },
    // 这个有什么用？？？
    {
      path: '/login',
      name: 'login',
      meta: {
        title: '登录',
      },
      component: () => import('@/views/Login')
    },
  ]
})
